Get Material List by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Material Lists
Get Material List by ID
GET
/
material-list
/
{id}
Get Material List by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
Query Parameters
Array of attribute, operator, and value parts.
Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.
array consisting of indices with the desired relation to include
If true, response will contain custom fields data
Filter by view mode. Acceptable values all, team, my
Filter by entity. Acceptable values job, project, invoice, order, estimate. Required if entity_id is provided
Filter by existing entity id listed for by_entity parameter
Filter by job start time
Filter by job end time
Filter by unscheduled jobs
Response
Successful response
Related topics
Material ListsMaterial Lists - Offline ModeMaterial Lists - Mobile AppCustom Fields on Material ListsMobile App Overview - Service AgentsWas this page helpful?